package ru.dbotthepony.kstarbound.defs

enum class TeamType {
	NULL,
	// non-PvP-enabled players and player allied NPCs
	FRIENDLY,
	// hostile and neutral NPCs and monsters
	ENEMY,
	// PvP-enabled players
	PVP,
	// cannot damage anything, can be damaged by Friendly/PVP/Assistant
	PASSIVE,
	// cannot damage or be damaged
	GHOSTLY,
	// cannot damage enemies, can be damaged by anything except enemy
	ENVIRONMENT,
	// damages anything except ghostly, damaged by anything except ghostly/passive
	// used for self damage
	INDISCRIMINATE,
	// cannot damage friendlies and cannot be damaged by anything
	ASSISTANT
}
