package ru.dbotthepony.kstarbound.defs.player

import com.google.common.collect.ImmutableList
import ru.dbotthepony.kstarbound.defs.AssetPath
import ru.dbotthepony.kstarbound.defs.IScriptable
import ru.dbotthepony.kstarbound.io.json.builder.JsonFactory

@JsonFactory
data class TechDefinition(
	val name: String,
	val type: String,
	val chipCost: Int,
	override val scriptDelta: Int = 1,
	override val scripts: ImmutableList<AssetPath>
) : IScriptable
